# Cisco BGP Peers

Monitors status of Cisco BGP peers

Check Info:

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6)
* *state*: \
    **critical**: if Peer state is idle or if acceptedprefixed >= prefixadminlimit\
    **warning**: if Peer state is not idle or not established, if Peer uptime < min. uptime, if Admin state is not admin start, if acceptedprefixed >= warnthreshold
* *wato*: 
    * **min uptime**: minimum time before a bgp peer connection is consinderd as stable, default 86400 seconds (1 day)
    * **Local AS**: use AS as local AS, if SNMP *cbgpPeer2LocalAs* is not valid
    * **HTML output**: enable HTML Output for long output of check plugin (multiline)
    * **Infotext values**: select which information is shown in the check output
    * **BGP Peer item name**: The configured value must match a BGP peer reported by the monitored device. For example: "10.194.115.98 IPv4 Unicast"
    * **BGP Peer Alias**: You can configure an individual alias here for the BGP peer matching the text configured in the "BGP Peer item name" field. This alias will be shown in the infotext
    * **MonitoringState**: You can configure an individual state if the BGP peer matching the text configured in the "BGP Peer item name" field is not found (default is critical).
* *perfdata*: 
    * Prefixes accepted (count)
    * Prefixes denied (/s)
    * Prefixes advertised (/s)
    * Prefixes withdrawn (/s)
    * Prefixes suppressed (/s)
    * Updates received (/s)
    * Updates send (/s)
    * Total messages send (/s)
    * FMS transitions (count)
    * FMS last change (s)
    * Last update received (s)

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")


